Last Comment Bug 964175 - thunderbird-24.2.0: lightning incorrect|/incomplete Russian localization
: thunderbird-24.2.0: lightning incorrect|/incomplete Russian localization
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: General (show other bugs)
: unspecified
: x86_64 Linux
-- minor (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-27 00:52 PST by Ikonta
Modified: 2015-05-29 12:50 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Ikonta 2014-01-27 00:52:23 PST
User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:24.0) Gecko/20100101 Firefox/24.0 (Beta/Release)
Build ID: 20140113121555

Steps to reproduce:

I use Thunderbird-24.2.0 on Russian localized GNU/Linux OS.
I.e.:
$ locale
LANG=ru_RU.utf8
…

I've just started calendar (or tasks) from menu item (in Russian it's name is "События и задачи").


Actual results:

In the left top of window I see this month calendar.
In _alien_ format (week starts from Sunday).


Expected results:

In Russia week starts from Monday!
So, for Russian locale I expect lightning to display calendar in completely localized format (i.e. with week, starts from Monday).
Comment 1 User image Stefan Sitter 2014-01-28 22:12:56 PST
You can configure the week start day in Edit > Preferences > Calendar > Views.
Comment 2 User image Ikonta 2014-01-29 21:00:47 PST
(In reply to Stefan Sitter from comment #1)
> You can configure the week start day in Edit > Preferences > Calendar >
> Views.

Thank you!
Of course, it is so…

But for years of using GNU/Linux desktop (preferring gtk applications) I've forgot, how it is to set/modify locale settings via GUI.
Lightning starts with correct (Russian) locale automatically, depending on system's environment.
And I expect it to get completely correct defaults, with no need for me to analyse settings and preforming minor (there is no general language settings in GUI) interface fixes.
Comment 3 User image Alexey Gubanov 2014-01-31 11:55:16 PST
I checked Lightning l10n and found preference calendar.week.start in lightning-l10n.js is set correct:

># the default day to start the week on
>#0=Sunday 1=Monday 2=Tuesday 3=Wednesday 4=Thursday 5=Friday 6=Saturday
>pref("calendar.week.start", 1);

I confirm this bug, but I think it is no localization problem.
Comment 4 User image Stefan Sitter 2014-01-31 13:25:13 PST
lightning-l10n.js has no affect, see Bug 395504.
Comment 5 User image Ikonta 2015-05-25 01:19:54 PDT
Just now I've find this issue fixed in Thunderbird 31 ESR (31.6.0).
Comment 6 User image Alexander L. Slovesnik 2015-05-25 12:21:48 PDT
Marked as WORKSFORME per comment 5
Comment 7 User image Ikonta 2015-05-29 11:22:45 PDT
(In reply to Alexander L. Slovesnik from comment #6)
> Marked as WORKSFORME per comment 5

Why «WORKSFORME»?!?
To my mind the correct resolution will be FIXED. But it's unavailable for me.
I don't know how this fix relates with particular this bug report, but it's really FIXED.
Comment 8 User image Alexander L. Slovesnik 2015-05-29 12:50:43 PDT
(In reply to Ikonta from comment #7)
> (In reply to Alexander L. Slovesnik from comment #6)
> > Marked as WORKSFORME per comment 5
> 
> Why «WORKSFORME»?!?
> To my mind the correct resolution will be FIXED. But it's unavailable for me.
> I don't know how this fix relates with particular this bug report, but it's
> really FIXED.

OK.

Note You need to log in before you can comment on or make changes to this bug.